List Evaluation Runs
curl --request GET \
--url https://api.example.com/eval-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/eval-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/eval-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a03fa2f4-900d-482d-afe0-470d4cd8d1f4",
"agent_id": "basic-agent",
"model_id": "gpt-4o",
"model_provider": "OpenAI",
"name": "Test ",
"eval_type": "reliability",
"eval_data": {
"eval_status": "PASSED",
"failed_tool_calls": [],
"passed_tool_calls": [
"multiply"
]
},
"eval_input": {
"expected_tool_calls": [
"multiply"
]
},
"created_at": "2025-08-27T15:41:59Z",
"updated_at": "2025-08-27T15:41:59Z"
}
]
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": "Validation error",
"error_code": "VALIDATION_ERROR"
}{
"detail": "Internal server error",
"error_code": "INTERNAL_SERVER_ERROR"
}Evals
List Evaluation Runs
Retrieve paginated evaluation runs with filtering and sorting options. Filter by agent, team, workflow, model, or evaluation type.
GET
/
eval-runs
List Evaluation Runs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Agent ID
Team ID
Workflow ID
Model ID
Filter type
Available options:
agent, team, workflow Number of eval runs to return
Required range:
x >= 1Page number
Required range:
x >= 0Field to sort by
Sort order (asc or desc)
Available options:
asc, desc The ID of the database to use
The database table to use
Comma-separated eval types (accuracy,agent_as_judge,performance,reliability)
Example:
"accuracy,agent_as_judge,performance,reliability"
Was this page helpful?